#!/bin/bash
llog "startup for 645 mounts"
dir=$(dirname "$(dirname -- "${BASH_SOURCE[0]}")")
for f in $dir/function/ssh-mounts/*; do
llog "sourcing: $f"
source "$f"
done
# declare -F | grep 238
delay=60
mkdir -p $dir/logs
touch $dir/logs/645-mount.log
notify-send "mounting 645 network directories in $delay secs"
( sleep $delay ;
echo $(date) > $dir/logs/645-mount.log;
llog "after $delay sec delay 645 network is mounting"
notify-send "mounting 645 network directories in /mnt/645"
ssh-mount-645 2>&1 | tee -a $dir/logs/645-mount.log
notify-send "done mounting 645 network directories"
) &
